Resolve deterministic login option
curl --request GET \
--url http://api.den.local/v1/auth/login-optionsimport requests
url = "http://api.den.local/v1/auth/login-options"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('http://api.den.local/v1/auth/login-options', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "jsmith@example.com",
"nextStep": "sso",
"allowPublicSignup": true,
"allowInvitationSignup": true,
"organizationSlug": "<string>",
"signInPath": "<string>",
"signInUrl": "<string>"
}{
"error": "invalid_request"
}{
"error": "bot_verification_failed",
"message": "<string>"
}{
"error": "rate_limited",
"message": "<string>"
}Authentication
Resolve deterministic login option
Returns the deterministic next authentication step for an email address. SSO is preferred before Google, password, GitHub compatibility, and new account creation.
GET
/
v1
/
auth
/
login-options
Resolve deterministic login option
Query Parameters
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Minimum string length:
1Response
Login option resolved successfully.
Pattern:
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$nextStep
Option 1 · stringOption 2 · stringOption 3 · stringOption 4 · stringOption 5 · string
required
Allowed value:
"sso"Was this page helpful?